# ECG Classification Algorithm Based on STDP and R-STDP Neural Networks for Real-time Monitoring on Ultra Low-Power Personal Wearable Devices

## Installation

Please install the following python packages:
Brian2 (=2.2.2.1)
Numpy (>=1.16.2)
Sklearn (>=0.19.1)
argparse (>=1.1) 
wfdb (=2.2.1)

To install Brian2 use the following command:
```
pip install brian2
```

## Execution

The provided source code is used for both the train phase and the test (inference) phase. The test command is:
```
python main.py
```
or
```
python main.py --P test
```

To re-train the model, use the following command:
```
python main.py --P train
```

Note that if you start to re-train the model, you can use the test command only after all the training phases have been completed. Otherwise, you will receive an error message.

## Project

The project is done in Learning and Intelligent Systems (LIS) Laboratory at Sharif University of Technology. http://lis.ee.sharif.edu/

